Intel grafikkort HD 4600 ikke understøttet på Ubuntu 14.04

Forum for support til grafik og lydkort.
marlar
Indlæg: 10
Tilmeldt: 14. okt 2014, 12:14

Intel grafikkort HD 4600 ikke understøttet på Ubuntu 14.04

Indlægaf marlar » 14. okt 2014, 12:29

Jeg har netop fået en ny PC fra MM-Vision med et Intel HD 4600 grafikkort. Der er dog det kedelige problem at nyeste Ubuntu (14.04) tilsyneladende ikke understøtter grafikkortet idet skærmopløsningen max kan vælges til 1920 x 1200 hvor skærmen, en 27" Samsung S27A850T, understøtter 2560 x 1440. Og det ser forfærdeligt ud!

Hvis jeg derimod booter op med Ubuntu 13.10 så understøttes grafikkortet perfekt - den defaulter til 2560 x 1440.

Jeg har bakset mange timer med at løse problemet, desværre uden held. Fx har jeg prøvet at tvinge opløsningen med xrandr.

Jeg tænker at løsningen må være at få grafikdriveren fra 13.10 smidt over i 14.04, men hvordan gøres det?

Og hvorfor understøttes kortet, som jo ikke er spor gammelt, ikke længere? Har også prøve 14.10 beta med samme resultat.

Jeg kunne selvfølgelig "bare" installere 13.10, men jeg vil jo gerne have nyeste LTS version.

Gode ideer modtages med kyshånd!

AJenbo
Admin
Indlæg: 20524
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Intel grafikkort HD 4600 ikke understøttet på Ubuntu 14.

Indlægaf AJenbo » 14. okt 2014, 12:36

Hej og velkommen til formummet

13.10 er desværre allerede udgået fra support, så jeg ville i stedet forslå dig at prøve 12.04, du kan eventuelt prøve at opgradere til 14.04 og se om den fortsat fungere.

Alle intel kort hele tilbage til i915 burde være understøttet så hvis HD 4600 ikke virker i 14.04 skyldes det en fejl. 14.10 er lige på trapperne så det var muligvis en ide at teste den og se om det virker der og eventuelt rapportere fejlen.

Kan du prøve at liste grafikkort i følge lspci:

Kode: Vælg alt

lspci -nn | grep -i vga

marlar
Indlæg: 10
Tilmeldt: 14. okt 2014, 12:14

Re: Intel grafikkort HD 4600 ikke understøttet på Ubuntu 14.

Indlægaf marlar » 14. okt 2014, 12:52

Tak for hurtigt svar.

lspci giver:

Kode: Vælg alt

00:02.0 VGA compatible controller [0300]: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller [8086:0412] (rev 06)


Ja, 13.10 er udgået af support, jeg har blot prøvet en LiveUSB af den for at konstatere at grafikkortet er understøttet. Det er det, men det er det ikke mere i 14.04. Så spørgsmålet går ikke på hvilken version jeg så skal installere (vil ikke installere andre), men hvordan jeg får understøttet grafikkortet i nyeste version, evt. ved at installere en ældre driver.

Præcis hvorfor kortet ikke understøttes længere ved jeg ikke, men det undrer mig. Det gav mere mening at det ikke var understøttet i en ældre version.

EDIT: jeg har allerede prøvet 14.10, det virker heller ikke.

AJenbo
Admin
Indlæg: 20524
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Intel grafikkort HD 4600 ikke understøttet på Ubuntu 14.

Indlægaf AJenbo » 14. okt 2014, 13:11

Årsagen til at grafikkortet ikke længere fungere i 14.04 skyldes en fejl i driveren. Den fejl var der ikke i 13.10, så der for virker den der. Der er altså teknisk set meningen at det skulle fungere med 14.04 og ikke fordi det ikke længere er understøttet.

Jeg kan se der er nogen der ligner det problemer som du har som er blevet løst med en opdatering, jeg vil der for forslå du installere 14.04 og installere alle opdateringer og ser om det så fungere. Hvis ikke bør du rapportere problemet så den kan blive løst.

Det kan eventuelt også være en ide at aktivere et par af de ekstra opdaterings kilder under fanen Opdateringer i programmet Software og opdateringer. Er der stadig problemer vil jeg forslå et PPA med en nyre udgave af Xorg/kernen.

marlar
Indlæg: 10
Tilmeldt: 14. okt 2014, 12:14

Re: Intel grafikkort HD 4600 ikke understøttet på Ubuntu 14.

Indlægaf marlar » 14. okt 2014, 13:23

Ok, det med at det simpelthen skyldes en fejl lyder plausibelt.

En opdatering hjælper desværre ikke.

Hvilke ekstra opdateringskilder skal jeg aktivere?
Og hvilken PPA skal jeg benytte?

AJenbo
Admin
Indlæg: 20524
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Intel grafikkort HD 4600 ikke understøttet på Ubuntu 14.

Indlægaf AJenbo » 14. okt 2014, 13:36

trusty-updates
trusty-proposed

og eventuelt trusty-backports

AJenbo
Admin
Indlæg: 20524
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Intel grafikkort HD 4600 ikke understøttet på Ubuntu 14.

Indlægaf AJenbo » 14. okt 2014, 13:46

Jeg har fundet ud af at fejlen ligger i den Linux kerne der er i 14.04 så jeg vil forslå du først prøver med en mainline 3.13 kerne for at se om det er en Ubuntu specifik fejl, der efter den seneste mainline kerne (pt. er den nyeste 3.17, men du kan sikkert også installere en 3.18 test udgave). Løser det ikke problemet prøv det rapporteres til Intel. En muligløsning for dig ville så være at installere kernen fra 13.10 (3.11) i 14.04, du kan også prøve at se om 3.12 dette ville også være værdifuld information for dem der skulle rette fejlen.

Du kan læse mere om at installere mainline kerner her:
https://wiki.ubuntu.com/Kernel/MainlineBuilds

zob
Redaktør
Indlæg: 4430
Tilmeldt: 6. jan 2009, 22:01
Geografisk sted: København

Re: Intel grafikkort HD 4600 ikke understøttet på Ubuntu 14.

Indlægaf zob » 14. okt 2014, 14:04

Selv om det ser ud til at Ajenbo har opstøvet noget information som nok betyder at mit forslag ikke vil gøre nogen forskel, vil jeg alligevel fortælle hvad det var.

På intels hjemmeside kan du downloade deres graphics installer:
https://01.org/linuxgraphics/
Jeg kan ikke umiddelbart se på deres release notes at de skulle være bekendt med lignende problemer i deres release notes:
https://01.org/linuxgraphics/downloads/2014/intelr-graphics-installer-1.0.6-linux

Der er også skrevet om den her, hvis du skulle få brug for at læse gennem et kommentarspor:
http://www.omgubuntu.co.uk/2014/05/intel-linux-graphics-driver-installer-1-0-5

marlar
Indlæg: 10
Tilmeldt: 14. okt 2014, 12:14

Re: Intel grafikkort HD 4600 ikke understøttet på Ubuntu 14.

Indlægaf marlar » 14. okt 2014, 14:16

@zob:

Deres graphics installer var noget af det første jeg prøvede, men det hjalp ikke. Den fortalte at jeg allerede havde nyeste driver. Men tak for inputtet!

@AJenbo:

Jeg har selv har mistanke til kernen fordi jeg har prøvet en masse ting uden resultat. Er det denne kerne du mener:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13.11.8-trusty/

AJenbo
Admin
Indlæg: 20524
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Intel grafikkort HD 4600 ikke understøttet på Ubuntu 14.

Indlægaf AJenbo » 14. okt 2014, 14:23

@zob: Tænkte også på den, men det var så også der jeg fandt de fleste af de afgørende informationer. Jeg ved at den driver de udgave d. 16 May 2014 ikke løser det for 14.04 da den ikke indeholde nogen opdateringer i forhold til 14.04, og det vil kun hjælpe hvis den inkludere en opdatering af kernen (Linux). Det kan måske hjælpe med hvilke af opdateringerne fra 01.org du prøver med.

AJenbo
Admin
Indlæg: 20524
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Intel grafikkort HD 4600 ikke understøttet på Ubuntu 14.

Indlægaf AJenbo » 14. okt 2014, 14:26

marlar skrev:Jeg har selv har mistanke til kernen fordi jeg har prøvet en masse ting uden resultat. Er det denne kerne du mener:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13.11.8-trusty/

Ja den ville være god at prøve som den første, den vil afsløre om det er et Ubuntu specifikt problem. Husk at sikre dig at du starte Ubuntu op med den nye kerne, du kan tjekke hvilken kerne du køre med via denne kommando:

Kode: Vælg alt

uname -r

marlar
Indlæg: 10
Tilmeldt: 14. okt 2014, 12:14

Re: Intel grafikkort HD 4600 ikke understøttet på Ubuntu 14.

Indlægaf marlar » 14. okt 2014, 14:37

uname viser: 3.13.0-32-generic

Hvis jeg installerer den alternative kerne ud fra deb-pakken, får jeg besked om en upfyldte afhængigheder. Så hvordan får jeg installeret den nye kerne?

AJenbo
Admin
Indlæg: 20524
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Intel grafikkort HD 4600 ikke understøttet på Ubuntu 14.

Indlægaf AJenbo » 14. okt 2014, 14:41

https://wiki.ubuntu.com/Kernel/MainlineBuilds#Installing_upstream_kernels

uname er så du kan tjekke at du har startet fra den nye kerne du har installeret, så du skal først køre den når du har installeret en kerne og genstartet maskinen.

marlar
Indlæg: 10
Tilmeldt: 14. okt 2014, 12:14

Re: Intel grafikkort HD 4600 ikke understøttet på Ubuntu 14.

Indlægaf marlar » 14. okt 2014, 15:27

Jeg fik installeret kernen og tjekket med uname, men opløsningen er stadig forkert.

Skal jeg prøve med en anden kerne?

EDIT: jeg kan se at 13.10 benytter 3.11.0-12-generic. Hvor kan jeg hente deb-filerne til den?

AJenbo
Admin
Indlæg: 20524
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Intel grafikkort HD 4600 ikke understøttet på Ubuntu 14.

Indlægaf AJenbo » 14. okt 2014, 15:51

Så du fik den startet med "3.13.11" kernen? Så er det åbenbart et generelt problem i Linux. Næste skrid ville være at teste 3.17 eller 3.18 for at se om det allerede er blevet rettet.

Pt. kan jeg kun lige finde 3.17, men det er ikke alt for umuligt at compile 3.18 selv:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.17-utopic/

Hvis det ikke løser det ville jeg springe på 3.12 for at se om det var i den eller først 3.13 at problemet opstod. Som sagt kan det være en stor hjælp for dem der skal rette fejlen og du får en nyre kerne hvis 3.12 virker. Den sidste udvej er så at installere 3.11.

3.12 finder du her:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.12.30-trusty/

Tilbage til "Grafik og lyd"

Hvem er online

Brugere der læser dette forum: [Crawler] og 0 gæster